v1
Release a desktop mouse button.
POST /v1/desktop/mouse/up: request parameters and responses.
POST /v1/desktop/mouse/up
Performs a health-gated optional pointer move followed by xdotool mouseup
and returns the resulting mouse position.
Request body
Required.
application/json
{
"schema": {
"$ref": "#/components/schemas/DesktopMouseUpRequest"
}
}
Related schemas: DesktopMouseUpRequest.
Responses
200
Desktop mouse position after button release
Content type: application/json
{
"schema": {
"$ref": "#/components/schemas/DesktopMousePositionResponse"
}
}
Related schemas: DesktopMousePositionResponse.
400
Invalid mouse up request
Content type: application/json
{
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
}
Related schemas: ProblemDetails.
409
Desktop runtime is not ready
Content type: application/json
{
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
}
Related schemas: ProblemDetails.
502
Desktop runtime health or input failed
Content type: application/json
{
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
}
Related schemas: ProblemDetails.